org.jboss.jca.as.converters.wls.metadata

## Class ResourceAdapterSecurityImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.ResourceAdapterSecurityImpl

- All Implemented Interfaces:
    java.io.Serializable, ResourceAdapterSecurity, WlsMetadata

      public class ResourceAdapterSecurityImpl
      extends java.lang.Object
      implements ResourceAdapterSecurity

  Author:
    shihang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.ResourceAdapterSecurity

      `ResourceAdapterSecurity.Attribute, ResourceAdapterSecurity.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdapterSecurityImpl(SecurityWorkContext swc)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnonPrincipal` | `getDefaultPrincipalName()` Get DefaultPrincipalName
    `AnonPrincipal` | `getManageAsPrincipalName()` Get ManageAsPrincipalName
    `AnonPrincipalCaller` | `getRunAsPrincipalName()` Get RunAsPrincipalName
    `AnonPrincipalCaller` | `getRunWorkAsPrincipalName()` Get RunWorkAsPrincipalName
    `SecurityWorkContext` | `getSecurityWorkContext()` Get SecurityWorkContext

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceAdapterSecurityImpl

          public ResourceAdapterSecurityImpl(SecurityWorkContext swc)

      constructor
      Parameters:
        `swc` - SecurityWorkContext

  - ### Method Detail

    - #### getDefaultPrincipalName

          public AnonPrincipal getDefaultPrincipalName()

      Description copied from interface: `ResourceAdapterSecurity`
      Get DefaultPrincipalName
      Specified by:
        `getDefaultPrincipalName` in interface `ResourceAdapterSecurity`
      Returns:
        the AnonPrincipal

    - #### getManageAsPrincipalName

          public AnonPrincipal getManageAsPrincipalName()

      Description copied from interface: `ResourceAdapterSecurity`
      Get ManageAsPrincipalName
      Specified by:
        `getManageAsPrincipalName` in interface `ResourceAdapterSecurity`
      Returns:
        the AnonPrincipal

    - #### getRunAsPrincipalName

          public AnonPrincipalCaller getRunAsPrincipalName()

      Description copied from interface: `ResourceAdapterSecurity`
      Get RunAsPrincipalName
      Specified by:
        `getRunAsPrincipalName` in interface `ResourceAdapterSecurity`
      Returns:
        the AnonPrincipalCaller

    - #### getRunWorkAsPrincipalName

          public AnonPrincipalCaller getRunWorkAsPrincipalName()

      Description copied from interface: `ResourceAdapterSecurity`
      Get RunWorkAsPrincipalName
      Specified by:
        `getRunWorkAsPrincipalName` in interface `ResourceAdapterSecurity`
      Returns:
        the AnonPrincipalCaller

    - #### getSecurityWorkContext

          public SecurityWorkContext getSecurityWorkContext()

      Description copied from interface: `ResourceAdapterSecurity`
      Get SecurityWorkContext
      Specified by:
        `getSecurityWorkContext` in interface `ResourceAdapterSecurity`
      Returns:
        the SecurityWorkContext

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)